// load routes
const topRoutes = require('./toplevel');
const projectRoutes = require('./project');
const hardwareRoutes = require('./hardware');
const benchmarkRoutes = require('./benchmark');

module.exports = function(app) {

  // top-level routes
  app.get('/', topRoutes.getIndex);

  // project routes
  app.get('/project', projectRoutes.getIndex);
  app.get('/project/list', projectRoutes.getList);
  app.get('/project/add', projectRoutes.getAdd);
  app.post('/project/add', projectRoutes.postAdd);
  app.get('/project/:project_id', projectRoutes.getView);

  // hardware routes
  app.get('/hardware', hardwareRoutes.getIndex);
  app.get('/hardware/list', hardwareRoutes.getList);
  app.get('/hardware/add', hardwareRoutes.getAdd);
  app.post('/hardware/add', hardwareRoutes.postAdd);
  app.get('/hardware/:hardware_id', hardwareRoutes.getView);

  // benchmark routes
  app.get('/benchmark', benchmarkRoutes.getIndex);
  app.get('/benchmark/list', benchmarkRoutes.getList);
  app.get('/benchmark/add', benchmarkRoutes.getAdd);
  app.post('/benchmark/add', benchmarkRoutes.postAdd);
  app.get('/benchmark/:benchmark_id', benchmarkRoutes.getView);

};
